LibreOffice LibreOffice 26.2 SDK API Reference

List of all members
DatabaseInteractionHandler Service Reference

describes a service which is able to handle database-related interactions. More...

`import"DatabaseInteractionHandler.idl";`

Inheritance diagram for DatabaseInteractionHandler:

## Additional Inherited Members
Public Member Functions inherited from XInteractionHandler2
boolean | handleInteractionRequest ([in] com::sun::star::task::XInteractionRequest Request)
| Handle an interaction request. More...
Public Member Functions inherited from XInteractionHandler
void | handle ([in] com::sun::star::task::XInteractionRequest Request)
| Handle an interaction request. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

describes a service which is able to handle database-related interactions.

Usually, you will not instantiate this service directly. Instead, you'll instantiate a generic com::sun::star::task::InteractionHandler service, and pass it your request. Based on configuration data, this implementation will decide where to forward the request to.

By default, the `DatabaseInteractionHandler` feels responsible (as per configuration) for the following interaction types:

- database related errors
  The general structure to transport such errors is the com::sun::star::sdbc::SQLException, and if your interaction request supplies such a `SQLException` (or an instance of any derived class), the handler will display a generic error dialog, which is able to travel the object chain which may be contained in the exception.
- parameter requests
  If your interaction request supplies a com::sun::star::sdb::ParametersRequest, the handler will open a standard dialog asking the user to fill in parameter values.
  In the case you want to use this feature of the handler, you should supply a special continuation (com::sun::star::sdb::XInteractionSupplyParameters) as well, so the handler can return the entered information.

The documentation for this service was generated from the following file:

- com/sun/star/sdb/DatabaseInteractionHandler.idl